/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "IRPyro API", "index.html", [
    [ "IRPyro API (sKEMLIB1)", "index.html", [
      [ "Introduction", "index.html#intro_sec", null ],
      [ "Motivation", "index.html#motivation_sec", null ]
    ] ],
    [ "Getting Started", "d1/d66/getting_started.html", [
      [ "Part 1: To use the firmware \"as is\" in the current configuration", "d1/d66/getting_started.html#use_as_is", [
        [ "Software", "d1/d66/getting_started.html#uai_01", null ],
        [ "Hardware", "d1/d66/getting_started.html#uai_02", null ],
        [ "Note for IRPyro demo board users (See \"IRPyro Sensor Reference Manual.pdf\":3 Ordering Information)", "d1/d66/getting_started.html#uai_03", null ],
        [ "@verbatim", "d1/d66/getting_started.html#autotoc_md1", null ]
      ] ],
      [ "Part 2: To use with own MCU", "d1/d66/getting_started.html#use_custom", [
        [ "Software", "d1/d66/getting_started.html#uc_01", null ],
        [ "Hardware", "d1/d66/getting_started.html#uc_02", null ],
        [ "GPIO configuration", "d1/d66/getting_started.html#step1", null ],
        [ "I2C configuration", "d1/d66/getting_started.html#step2", null ],
        [ "Modify provided micro controller specific functions", "d1/d66/getting_started.html#step3", null ]
      ] ],
      [ "Part 3: Run the examples in main.c", "d1/d66/getting_started.html#run_example", [
        [ "USART configuration", "d1/d66/getting_started.html#serial_cfg", null ],
        [ "Plain text sampling data", "d1/d66/getting_started.html#data_1", null ],
        [ "Binary format data package", "d1/d66/getting_started.html#data_2", null ],
        [ "Examples", "d1/d66/getting_started.html#code_provided", null ]
      ] ]
    ] ],
    [ "Application Note", "d6/d13/application_note.html", [
      [ "IRPyro device default configurations", "d6/d13/application_note.html#on_default", null ],
      [ "Changing the sample rate of your device", "d6/d13/application_note.html#on_sampling", null ],
      [ "I2C data collection times", "d6/d13/application_note.html#on_I2C", [
        [ "@page change  Change Log", "d6/d13/application_note.html#autotoc_md5", null ]
      ] ],
      [ "Release 1.0.6", "d6/d13/application_note.html#rel_07", [
        [ "Changes", "d6/d13/application_note.html#cha_07", null ],
        [ "New Features", "d6/d13/application_note.html#new_07", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_07", null ]
      ] ],
      [ "Release 1.0.5", "d6/d13/application_note.html#rel_06", [
        [ "Changes", "d6/d13/application_note.html#cha_06", null ],
        [ "New Features", "d6/d13/application_note.html#new_06", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_06", null ]
      ] ],
      [ "Release 1.0.4", "d6/d13/application_note.html#rel_05", [
        [ "Changes", "d6/d13/application_note.html#cha_05", null ],
        [ "New Features", "d6/d13/application_note.html#new_05", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_05", null ]
      ] ],
      [ "Release 1.0.3", "d6/d13/application_note.html#rel_04", [
        [ "Changes", "d6/d13/application_note.html#cha_04", null ],
        [ "New Features", "d6/d13/application_note.html#new_04", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_04", null ]
      ] ],
      [ "Release 1.0.2", "d6/d13/application_note.html#rel_03", [
        [ "Changes", "d6/d13/application_note.html#cha_03", null ],
        [ "New Features", "d6/d13/application_note.html#new_03", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_03", null ]
      ] ],
      [ "Release 1.0.1", "d6/d13/application_note.html#rel_02", [
        [ "Changes", "d6/d13/application_note.html#cha_02", null ],
        [ "New Features", "d6/d13/application_note.html#new_02", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_02", null ]
      ] ],
      [ "Release 1.0.0", "d6/d13/application_note.html#rel_01", [
        [ "Changes", "d6/d13/application_note.html#cha_01", null ],
        [ "New Features", "d6/d13/application_note.html#new_01", null ],
        [ "Bug Fixes", "d6/d13/application_note.html#bug_01", null ]
      ] ]
    ] ],
    [ "Todo List", "dd/da0/todo.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"d5/d83/group__API__F2__IRPyro.html#gabf389627fb000897a25a9d596c3d12de",
"d8/d3b/group__I2C__G1__IRPyro.html#ga5dd156975e2c7d2683078d603dee710d",
"de/d27/IRPyro__API__single__device__layer_8c.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';