/**
******************************************************************************
* @file    message_interpreter.h
* @author  _KEMET, Ltd
* @date    March 2018
* @version Release 1.0.6
* @copyright (c) 2018 _KEMET, Ltd
* @brief GUI flag and data structure directed to the sensor
* @verbatim
 ===============================================================================
                      ##### Description #####
 ===============================================================================
  [..]
  Prototype of the message interpreter function
  [..]
 @endverbatim
  ******************************************************************************
   @attention <h2><center>&copy; COPYRIGHT 2018 _KEMET, Ltd</center></h2>
   @verbatim
    Copyright (c) 2018, _KEMET, Ltd
    All rights reserved.

    THIS SOFTWARE IS PROVIDED BY _KEMET, Ltd ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL _KEMET, Ltd BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   @endverbatim

  ******************************************************************************
  */
/* Includes ------------------------------------------------------------------*/
#ifndef MESSAGE_UNPACK
#include "message_unpack.h"
#endif

#ifndef IRPyro_API_multi_device_layer
#include "IRPyro_API_multi_device_layer.h"
#endif

#ifndef MESSAGE_TO_SENSOR
#define MESSAGE_TO_SENSOR
#include <stdint.h>
#endif

#ifndef MESSAGE_INTERFACE_COMMON
#include "message_interface_common.h"
#endif


#include "externals.h"

typedef enum
{
    execute_apply_parameters,
    execute_contact_gui
}
execute_next_state_type;
execute_next_state_type message_interpreter(uint8_t *cmd_code, uint8_t *destination);
/* ********** Copyright (c) 2018 _KEMET, Ltd. **********END OF FILE************/

