/**
******************************************************************************
* @file    IRPyro_UT.H
* @author  _KEMET, Ltd
* @date    March 2018
* @version Release 1.0.6
* @copyright (c) 2018 _KEMET, Ltd
* @brief   Unit Testing module
******************************************************************************
   @attention <h2><center>&copy; COPYRIGHT 2018 _KEMET, Ltd</center></h2>
   @verbatim
    Copyright (c) 2018, _KEMET, Ltd
    All rights reserved.

    THIS SOFTWARE IS PROVIDED BY _KEMET, Ltd ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL _KEMET, Ltd BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   @endverbatim
******************************************************************************

*/
#ifndef IRPyro_UT
#define IRPyro_UT
#include "IRPyro_API_multi_device_layer.h"
#endif
#define IRPyro_FIFO_RESET_OK     0X31
#define IRPyro_FIFO_RESET        0x0C

#define IRPyro_CCP_SIZE                    5      // bytes on the IRPyro CCP register
#define IRPyro_FRAME_COUNT_LOCATION        5      // position on the user data buffer
#define NUMBER_OF_FRAMES_TO_COUNT          3600000  // 60000 1 minute, 900000 approximate 15 minutes, 3600000 1 hour, 4294967295 milliseconds = 50 days, 60 000 000 
#define TIME_TO_WAIT                       3600000
/**
  * @struct IOCTL_test IRPyro_UT.h
  * @brief  Special struct to test IOCTL
  */
typedef struct IOCTL_test
{
    IRPyro_cmd_type command;  ///< Command
    IRPyro_arg_type argument; ///< Argument
} IOCTL_test_type;

uint8_t ut01_single_sensor_init(IRPyro_sensor_device_type *IRPyro_TEST_Sensor);
uint8_t ut03_single_sensor_read(IRPyro_sensor_device_type *IRPyro_TEST_Sensor);
uint8_t ut02_multiple_sensor_init(IRPyro_devices this_list, uint8_t list_size);
uint8_t ut04_multiple_sensor_read(IRPyro_devices this_list, uint8_t list_size);
uint8_t ut06_IOCTL01(IRPyro_sensor_device_type* IRPyro_test_Sensor);
uint8_t ut06_IOCTL02(IRPyro_sensor_device_type *IRPyro_test_Sensor);
uint8_t ut_wake_up_event(IRPyro_sensor_device_type *IRPyro_test_Sensor);

void ut_TO_CAN_read(void);
void ut_initialization(IRPyro_sensor_device_type* this_device, IRPyro_devices this_list);
void IRPyro_demo_board(uint8_t value);

/* ********** Copyright (c) 2018 _KEMET, Ltd. **********END OF FILE************/
